[CI] Upgrade job down: AnsibleUndefinedVariable: 'docker_registry_namespace' is undefined

Bug #1709066 reported by Jiří Stránský on 2017-08-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Critical
Alex Schultz

Bug Description

http://logs.openstack.org/93/483293/17/check/gate-tripleo-ci-centos-7-containers-multinode-upgrades-nv/bcaf800/console.html.gz#_2017-08-04_17_52_33_159881

2017-08-04 17:52:33.097406 | TASK [overcloud-upgrade : Create major overcloud upgrade script] ***************
2017-08-04 17:52:33.097468 | task path: /home/jenkins/workspace/gate-tripleo-ci-centos-7-containers-multinode-upgrades-nv/.quickstart/usr/local/share/ansible/roles/overcloud-upgrade/tasks/create-scripts.yml:21
2017-08-04 17:52:33.114468 | Friday 04 August 2017 17:52:33 +0000 (0:00:00.061) 0:45:09.400 *********
2017-08-04 17:52:33.159881 | fatal: [undercloud]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: 'docker_registry_namespace' is undefined"}
2017-08-04 17:52:33.176116 |

Fix proposed to branch: master
Review: https://review.openstack.org/491463

Changed in tripleo:
status: Triaged → In Progress

Change abandoned by Alex Schultz (<email address hidden>) on branch: master
Review: https://review.openstack.org/491463
Reason: Need to clear out the queue as this is going to fail. Will restore momentarily

Changed in tripleo:
assignee: Jiří Stránský (jistr) → Alex Schultz (alex-schultz)

Reviewed: https://review.openstack.org/491463
Committed: https://git.openstack.org/cgit/openstack/tripleo-quickstart-extras/commit/?id=5178fafc0bc67c21d4d7dde51dbe51bf79390d8c
Submitter: Jenkins
Branch: master

commit 5178fafc0bc67c21d4d7dde51dbe51bf79390d8c
Author: Jiri Stransky <email address hidden>
Date: Mon Aug 7 13:48:42 2017 +0200

    Make container varaibles defined for upgrades

    The upgrade job was failing with:

        AnsibleUndefinedVariable: 'docker_registry_namespace' is undefined

    The docker variables aren't only used by the overcloud-prep-containers
    role, they're also used during upgrade. This change moves the defaults
    to extras-common role so that they're available during the upgrade
    too.

    The ctl_plane_ip variable is renamed to local_docker_registry_host to
    better capture its purpose in its name.

    Also, add the insecure registry param, which was left out when moving
    to the `container image prepare` command.

    Change-Id: Ifa2afa915e0fee368fb2506c02de75bf5efe82d5
    Closes-Bug: #1709066

Changed in tripleo:
status: In Progress → Fix Released
tags: removed: alert
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers